1.1

1.1

get /v1/lb-listeners

Description

Listener 목록을 조회한다

상태 ACTIVE (DEPRECATED)

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

버전최소 지원 보장일
1.120260319

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryloadbalancer_id
optional
LB 아이디
Example :
any of [string, null]None
querystate
optional
Listener 상태
Example :
any of [string, null]None
queryname
optional
Listener 명
Example :
any of [string, null]None
queryservice_port
optional
서비스 포트
Example :
any of [integer, null]None
queryprotocol
optional
프로토콜
Example : ['TCP', 'UDP']
any of [array[enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY)], enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null]None
querynot_protocol
optional
The protocol of the listener to exclude.
Example : TCP
any of [enum (TCP, UDP, HTTP, HTTPS, TLS, TCP_PROXY), null]None

Responses

HTTP CodeDescriptionSchema
200OKLbListenerListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "listeners": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "protocol": "TCP",
            "service_port": "",
            "state": ""
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}